Changes

Jump to: navigation, search

Download

464 bytes added, 01:12, 28 September 2021
m
Linux and BSD distributions: no it does not!
Gramps is a free software project and community. We strive to produce a genealogy program that is both intuitive for hobbyists and feature-complete for professional genealogists. It is a community project, created, developed and governed by genealogists.
{{man note|{{Man menu|Gramps '''Current version: '''{{version}}''' Released: '''20202021-0807-1326'''}}|''Different data format to the GRAMPS 3.4 series. Full Python 3 support only as [https://www.python.org/doc/sunset-python-2/ Python 2 support dropped]. Uses GTK+ 3 GUI. Default database is now SQLite. Lot of updates see: ''[[Gramps 5.1 Wiki Manual - What's new?|What's new?]]{{-}}
[[File:Linux_220x261.png|128px|link=Download#Linux]] [[File:windows_180x160.png|128px|link=Download#MS_Windows]] [[File:macos_200x200.png|128px|link=Download#macOS]] [[File:Bsd daemon.png|128px|link=Download#BSD]]}}
[[File:windows_180x160.png|128px|left|link=Download#MS_Windows]]
Before downloading the [[All_In_One_Gramps_Software_Bundle_for_Windows|All-In-One software installer bundle for Windows]]: Use your '''earlier version of Gramps''' to [[How_to_make_a_backup#Gramps_version_3.3_and_later|backup]] your Family Trees to the hardy and portable [[#1|XML format<sup>1</sup>]].
This installer supports Microsoft Windows in all versions [http://windows.microsoft.com/en-au/windows/lifecycle Vista/7] and later. The 64-bit versions of Windows allow more efficient access to more resources.
<big>
*<u>[{{github_url}}/releases/download/v{{version_windows_AIO64}}/{{filename_windows_AIO64}}.exe Windows Installer (64-bit) {{version_windows_AIO64}}]-2</u>*<u>[{{github_url}}/releases/download/v{{version_windows_AIO32}}/{{filename_windows_AIO32}}.exe Windows Installer (32-bit) {{version_windows_AIO32}}]-2</u></big><!-- preserve in case an installer rebuild is needed in the future{{man note|''The {{version_windows_AIO64}} and {{version_windows_AIO64}}-2 installers are the '''same version of the Gramps program'''. |Only the compilation of the installer was changed. The initial Windows installer was quickly recalled so that the 'dash two' update could restore some omitted dependency items.''}}-->
After download: '''double-click to install Gramps'''. <br>By default: new releases will be added in a new directory and earlier installations of Gramps will ''not'' be overwritten; the language will be a [[#Missing_other_languages|mix of British and US English]].
Normally, when you try to load your old Family Tree you can allow it to be upgraded if necessary, and it will be opened. Should this fail for any reason, '''Create''' a new Family Tree and [[How_to_restore_a_backup|'''Import''' the back-up]] into this new Tree.
Use the Windows AIO (All-In-One) version, please use the download links above. For more information about individual versions, console and debug modes, release notes, etc., look at [[GrampsAIO cx freeze-based|this page]] (English only).Or, you might want to look at the description of what is meant by an [[All_In_One_Gramps_Software_Bundle_for_Windows|All In One Bundle.]]
=== Alternative independent installation ===
==== PortableApps.com ====
A [https://portableapps.com/apps/education/gramps_portable '''PortableApps ''' version] will run from an external device without the requirement of installing on the OS drive. [[#2|PortableApps installations<sup>2</sup>]] are <b><i>not</i></b> for touchscreen-based mobile devices. They just allow the application to run from external storage, USB thumbdrives.
As of {{CURRENTDAYNAME}}, {{CURRENTDAY}} {{man menu|CURRENTMONTHNAMEGEN}} {{CURRENTYEAR}}, the most current Gramps release is the {{TEMPLATE:version}} version.  You can download the '''{{Version_windows_portable}} Gramps Portable version 5.1.3-2 ''' from :* the [https://portableapps.com/apps/education/gramps_portable Gramps Portable project] page in their [https://portableapps.com/apps/education/ Education] category.}}  Note that '''PortableApps.com ''' also have available an old has a Legacy 3.4.9 version of Gramps and available -- although it is not recommended for general use; An alternative independent '''Legacy''' version is just for recovering older format databases.* [http://sourceforge.net/projects/portableapps/files/Gramps%20Portable/ GrampsPortable_{{version_windows_portable}}GrampsPortable_3.4.9.paf.exe] (29.0 MB)  [http://portableapps.com/apps/education/gramps_portable Portable Gramps from PortableApps.com] includes all dependencies required for Windows. ''Note:You can install it on C: then to run Gramps type C:\PortableApps\GrampsPortable\GrampsPortable.exe (Or the path you installed it to) or make a shortcut to that file on your desktop or start-menu.'' By Bart.S - '''[http://portableapps.com/blog/84601 Please report packaging issues to the author.]''' (2012-09-07)
==== Chocolatey NuGet Package ====
<big>
* <u>[{{github_url}}/releases/download/v{{version_Mac}}/{{Filename_mac_intel}}.dmg Intel {{version_Mac}}]</u>
</big>
After download: Double-click the .dmg file to mount the disk (note: your browser may do this for you automatically). Next, drag the Gramps application to your application folder and double-click to launch it. (For Apple Mac OS X, alternatively, you can click and hold on the disk icon at the top of the window of the mounted disk, and then option-drag to the Applications folder. This will create a new folder containing all the files, including the README and NEWS.)
Normally, when you try to load your old Family Tree you can allow it to be upgraded if necessary, and it will be opened. However if Should this fails fail for any reason, '''Create''' a new Family Tree and [[How_to_restore_a_backup|'''Import''' the back-up ]] into this new Tree.
=== Alternative independent installation ===
|<!-- GUI Package manager -->Add/Remove Software (Gnome)<br>or<br>Software Management (KDE)
|<!-- Current versions -->
* Rawhide (Gramps 5.1.34)* Fedora 31 33 (Gramps 5.1.34)* Fedora 32 34 (Gramps 5.1.34)* Fedora 32 35 (Gramps 5.1.34)
|<!-- Notes -->[https://koji.fedoraproject.org/koji/packageinfo?packageID=1969 available versions]
|-
|<!-- GUI Package manager -->|[https://wiki.mageia.org/en/Installing_and_removing_software drakrpm (or rpmdrake)]
|<!-- Current versions -->
* Mageia [https://madb.mageia.org/package/show/name/gramps/release/cauldron/ Caulron]: Gramps 5.1.34
* Mageia 7.1: Gramps 5.0.1
|<!-- Notes -->[http://mageia.madb.org/package/show/name/gramps Mageia App Db - gramps]
|<!-- GUI Package manager --> [https://wiki.archlinux.org/index.php/pacman pacman]
|<!-- Current versions -->
* Gramps 5.1.34
|<!-- Notes -->[https://www.archlinux.org/packages/community/any/gramps/ available versions]
|-
|<!-- GUI Package manager -->
|<!-- Current versions -->
* Gramps 5.1.34
|<!-- Notes -->[https://packages.gentoo.org/packages/app-misc/gramps available versions]
|-
|<!-- GUI Package manager -->
|<!-- Current versions -->
* NetBSD: [http://pkgsrc.se/databases/gramps3 Gramps 3.4.9]
* NetBSD: [http://pkgsrc.se/databases/gramps5 Gramps 5.1.2]
|<!-- Notes -->
|<!-- Current versions -->
* FreeBSD: Gramps 4.2.8
* [https://www.freshports.org/science/gramps/ FreshPorts: Gramps 5.1.14]|<!-- Notes --><!--[http://portsmon.freebsd.org/portoverview.py?category=science&portname=gramps available versions]-->
|-
|<!-- Distribution -->'''[https://www.openbsd.org/ OpenBSD]'''
=== Debian-based ===
For [[File:Debianopenlogo-32.png|link=Download#Debian-based]]'''[[Debian|Debian-based linux distributions]]''' (Which includes [[File:Ubuntu_32x32.png|link=Download#Debian-based]]''' Ubuntu ''') <!--[{{github_url}}/releases/v5.1.3 Download the .deb file].-->[{{github_url}}/releases/v{{version}} Download the .deb file]. Double-click on the downloaded .deb file or (for some distributions, e.g. Mint Debian) run the following command from the directory where the file was saved ({{man menu|change the filename to match the one you downloaded}}).
sudo dpkg -i gramps_{{version}}-1_all.deb
=== Flathub ===
Gramps 5.1.3 4 is available in a flatpak at flathub.
{{man note|Please use your existing installation to backup your database before proceeding.|Also, it is a good idea to [[Gramps_5.1_Wiki_Manual_-_Manage_Family_Trees#Converting_a_BSDDB_Family_Tree_to_SQLite|convert your database to SQLite]] even though there is currently BSDDB3 support in the 5.1.3 4 flatpak.}}
First set up flatpak and the flathub repository on your system, there are instructions for various distributions at https://flatpak.org/setup/

Navigation menu